#### D.15.14.16 imageLattice

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  imageLattice(Q,L); Q and L are of type intmat

Purpose:
  compute an integral basis for the image of the
  lattice L under the homomorphism of lattices Q.

Return:
  intmat

Example:

    LIB "multigrading.lib";
    intmat Q[2][3] =
    1,2,3,
    3,2,1;
    intmat L[3][2] =
    1,4,
    2,5,
    3,6;
    // should be a 2x2 matrix with columns
    // [2,-14], [0,36]
    imageLattice(Q,L);
    ==> 2,0,
    ==> 22,36

User manual for Singular version 4.4.1, 2025, generated by texi2html.